Private issues
2011-01-22 15:14 - Jean-Philippe Lang

Status: Closed Start date: 2011-01-22
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues permissions Estimated time: 0.00 hour
Target version: 1.2.0

Resolution: Fixed

Description

The change consists in adding a 'private flag' on issues.
Users are allowed to view private issues in respect to their issue visibility level (#7412).

Related issues:

Related to Redmine - Feature #8424: Add private issue option to receiving emails Closed
Related to Redmine - Defect #8432: Private issues information shows up on Act... Closed
Related to Redmine - Feature #8488: Create an 'Involve' mechanism to private ... New

Related to Redmine - Feature #8577: "Private" column and filter on the issue ... Closed
Related to Redmine - Feature #9067: Private tasks - wouldn't be shown in acti... Closed
Related to Redmine - Feature #9209: Add "Private" toggle to issue context menu New

Related to Redmine - Feature #9432: Default value for the private issue flag New

Related to Redmine - Defect #10148: Private issue in public projects Closed
Has duplicate Redmine - Feature #337: Private issues Closed
Has duplicate Redmine - Feature #3384: issue permissions Closed

2011-05-23
2011-05-25

2011-06-09
2011-08-16

2011-10-17
2012-02-03

2009-05-18

Associated revisions

Revision 5466 - 2011-04-15 15:23 - Jean-Philippe Lang
Private issues (#7414).

History

#1 - 2011-01-26 08:44 - Damien Couderc

Shouldn't issue #337 be linked or closed in favor of this new issue ?

#2 - 2011-02-22 19:16 - Anonymous

I'm singing up for this feature too...

I would suggest (if | can :) ) if it would be user group-based?

details:

For example, we have group Clients (which are in each project different set of people),
and in one project, we have issues that are only for group Developers...

Client MUSTN'T see them, because they contain confidental information (tickets shared with other dev group)...

I'm up for group-based permission per-ticket...
| don't know what you mean by permission-based privileges (haven't read the whole ticket #337, it's so damn long) :)

#3 - 2011-02-23 10:17 - Ryan Cross

Why not use the same interface paradigm as the notifications?
| would also like to add groups to that though too.

#4 - 2011-03-12 20:10 - Nuno Duarte

Jean-Philippe Lang wrote:

The change consists in adding a 'private flag' on issues.
Users are allowed to view private issues in respect to their issue visibility level (#7412).
| Vote for this one as well

#5 - 2011-03-17 10:03 - Alfredo Bonilla

Please... do not move again to another version... we're waiting for this issue long time ago... ;(

#6 - 2011-03-23 14:24 - Giulio Turetta

Please... do not move again to another version... (2X)

#7 - 2011-03-28 22:51 - Roland Discein

+1

#8 - 2011-03-29 15:05 - Daniel Herrera

+1
This is a great feature that we miss in Redmine.

#9 - 2011-04-04 00:21 - Jean-Jacques Mérillon

Please... do not move again to another version... we're waiting for this issue long time ago... ;( (3X)

#10 - 2011-04-12 22:03 - Jean-Philippe Lang

It won't be moved.

#11 - 2011-04-14 10:10 - Anton Lukashev

That's great! Looking forward for it.

#12 - 2011-04-15 15:36 - Jean-Philippe Lang
- File private_issue.png added
- Status changed from New to Closed

- Resolution set to Fixed
Feature added in r5466.

Feature #7680

EIEE This is private issue
Added by Jean-Philippe Lang less than a minute ago. Updated les

Status: New
Priority: MNormal

Two new permissions are now available:

e Set issues public or private => will let the user set/change the private flag on issues that he creates or edits
* Set own issues public or private => will let the user set/change the private flag on his own issues

A new issue visibility level is available on roles:

e All non private issues => user will see all non private issues and private issues that were created by him or are assigned to him

#13 - 2011-04-23 15:58 - Vlad Viad

May | set the Private status on a Comment level? This | could have a public Issue with a private and public comunication at one place.

#14 - 2011-04-23 17:34 - Etienne Massip
Vlad Vlad wrote:

May | set the Private status on a Comment level? This | could have a public Issue with a private and public comunication at one place.

This is the subject of #1554.

#15 - 2011-05-16 10:16 - Frank Helk
Question on that:

May | customize the privacy state of newly created tickets, i.e. in project config ? | not, | would recommend that as useful extension of that feature.

#16 - 2011-06-01 09:36 - Roman E.

Can anyone tell if it is possible to reverse the feature. Meaning this:

We have a private project for administrative issues but sometimes people from other projects may need to access this single issue. In Bugzilla that we

were used to, it was achievable via CC - by adding an individual to CC gives him access to to the specific issue.

#17 - 2011-06-01 15:12 - Bruno Medeiros

Roman E. wrote:

We have a private project for administrative issues but sometimes people from other projects may need to access this single issue. In Bugzilla

that we were used to, it was achievable via CC - by adding an individual to CC gives him access to to the specific issue.

It was discussed on #7412, but the way we suggested there to accomplish that was not the best. | just created a feature request to this, as suggested

by Jean-Phillipe: #8488

#18 - 2011-06-07 09:24 - Martin G

Watchers of an issue are not able to see private issues. Is this wanted so?
#19 - 2011-06-07 15:04 - Bruno Medeiros
Martin G wrote:

Watchers of an issue are not able to see private issues. Is this wanted so?

Watcher mechanism don't affect the issue visibility. To further info, please read #7412 / #8488.

#20 - 2011-07-13 09:46 - Pavel Konstantinov

Can | predefine initial state of Private flag for new issues? | need it to be checked by default
#21 - 2011-07-13 14:10 - Bruno Medeiros
Pavel Konstantinov wrote:
Can | predefine initial state of Private flag for new issues? | need it to be checked by default

| need the same, but didn't realize how to do it. | guess we'll need a patch...
Maybe it is a good idea create a separate issue for that.

#22 - 2011-10-25 12:13 - Reuben Schreiber
SPAM

#23 - 2011-10-28 08:48 - Martin G
Bruno Medeiros wrote:
Pavel Konstantinov wrote:
Can | predefine initial state of Private flag for new issues? | need it to be checked by default

| need the same, but didn't realize how to do it. | guess we'll need a patch...
Maybe it is a good idea create a separate issue for that.

See #9432
